// Tester Arduino Pro Mini 168/328
// určeno pro speciální testovací desku s LED bargrafy
// Běžící světlo na obou stranách (bargrafech) odspoda nahoru

#define  del1  700    // doba svitu LED v ms
#define  del2  10     // zpoždění mezi zhasnutím jedné a rozsvícením druhé LED v ms

// SETUP funkce
void setup()
{
  // nastavime digitalni porty jako vystup v log. 1
  for (byte i=2; i<14; i++) {
      pinMode (i, OUTPUT);
      digitalWrite (i, HIGH);
  }
  // nastavime analogove porty jako dig. vystup v log. 1     
  pinMode (A0, OUTPUT);
  digitalWrite (A0, HIGH);
  
  pinMode (A1, OUTPUT);
  digitalWrite (A1, HIGH);
  
  pinMode (A2, OUTPUT);
  digitalWrite (A2, HIGH);
  
  pinMode (A3, OUTPUT);
  digitalWrite (A3, HIGH);
}


// hlavni smycka programu
void loop()
{
  digitalWrite (9, LOW);
  digitalWrite (10, LOW);
  delay (del1);
  digitalWrite (9, HIGH);
  digitalWrite (10, HIGH);
  delay(del2);
  
  digitalWrite (8, LOW);
  digitalWrite (11, LOW);
  delay (del1);
  digitalWrite (8, HIGH);
  digitalWrite (11, HIGH);
  delay(del2);
  
  digitalWrite (7, LOW);
  digitalWrite (12, LOW);
  delay (del1);
  digitalWrite (7, HIGH);
  digitalWrite (12, HIGH);
  delay(del2);
  
  digitalWrite (6, LOW);
  digitalWrite (13, LOW);
  delay (del1);
  digitalWrite (6, HIGH);
  digitalWrite (13, HIGH);
  delay(del2);
  
  digitalWrite (5, LOW);
  digitalWrite (A0, LOW);
  delay (del1);
  digitalWrite (5, HIGH);
  digitalWrite (A0, HIGH);
  delay(del2);
  
  digitalWrite (4, LOW);
  digitalWrite (A1, LOW);
  delay (del1);
  digitalWrite (4, HIGH);
  digitalWrite (A1, HIGH);
  delay(del2);
  
  digitalWrite (3, LOW);
  digitalWrite (A2, LOW);
  delay (del1);
  digitalWrite (3, HIGH);
  digitalWrite (A2, HIGH);
  delay(del2);
  
  digitalWrite (2, LOW);
  digitalWrite (A3, LOW);
  delay (del1);
  digitalWrite (2, HIGH);
  digitalWrite (A3, HIGH);
  delay(del2);
 } 
